from . import swift


def get_downloader(downloader_config):
    if downloader_config['type'] == 'swift':
        return swift.Downloader(**downloader_config['kwargs'])

    raise Exception('Downloader type %s is not supported' % downloader_config['type'])


def get_uploader(uploader_config):
    if uploader_config['type'] == 'swift':
        return swift.Uploader(**uploader_config['kwargs'])

    raise Exception('Uploader type %s is not supported' % uploader_config['type'])
